#include "mainwindow.h"
#include "ui_mainwindow.h"
#include "veworkplace.h"

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
    workplaceScene = new VEWorkplace(this);
    workplaceScene->setSceneRect(0,0,2000,2000);
    ui->workplaceView->setViewportUpdateMode(QGraphicsView::BoundingRectViewportUpdate);
    ui->workplaceView->setDragMode(QGraphicsView::ScrollHandDrag);
    ui->workplaceView->setCursor(QCursor());
    connect(ui->btnOval,&QToolButton::clicked,[=](){workplaceScene->setCurrentAction(VEWorkplace::OvalType);});

}

MainWindow::~MainWindow()
{
    delete ui;
    delete workplaceScene;
}
